Class Index | File Index

## Classes

- _global_
- Array
- String
- Tee
- Tee.AfricaMap
- Tee.Animation
- Tee.Annotation
- Tee.Area
- Tee.AsiaMap
- Tee.AustraliaMap
- Tee.Bar
- Tee.Bubble
- Tee.Candle
- Tee.Chart
- Tee.Chart.Axes
- Tee.Chart.Axis
- Tee.Chart.Axis-Grid
- Tee.Chart.Axis-Labels
- Tee.Chart.Axis-Ticks
- Tee.Chart.Axis-Title
- Tee.Chart.Legend
- Tee.Chart.Legend-Symbol
- Tee.Chart.Panel
- Tee.Chart.Scroll
- Tee.Chart.SeriesList
- Tee.Chart.Title
- Tee.Chart.Tools
- Tee.Chart.Wall
- Tee.Chart.Zoom
- Tee.ChartImage
- Tee.CircularGauge
- Tee.ColorGrid
- Tee.CursorTool
- Tee.CustomBar
- Tee.CustomSeries
- Tee.CustomSeries-Pointer
- Tee.Data
- Tee.Data.Dimension
- Tee.Data.Metric
- Tee.Donut
- Tee.DragTool
- Tee.Europe27Map
- Tee.EuropeMap
- Tee.FadeAnimation
- Tee.Font
- Tee.Format
- Tee.Gantt
- Tee.Gradient
- Tee.HorizArea
- Tee.HorizBar
- Tee.Line
- Tee.Map
- Tee.Margins
- Tee.MarksAnimation
- Tee.Palette
- Tee.PaletteSeries
- Tee.Pie
- Tee.Point
- Tee.PointXY
- Tee.Polar
- Tee.Rectangle
- Tee.Series
- Tee.Series.Marks
- Tee.SeriesAnimation
- Tee.Shadow
- Tee.SouthAmericaMap
- Tee.Stroke
- Tee.Surface
- Tee.SVGMap
- Tee.Three
- Tee.Tool
- Tee.ToolTip
- Tee.USAMap
- Tee.Volume
- Tee.WorldMap

# Class Tee.Chart.Axis-Labels

Displays text to annotate axes
Defined in: <..\..\src\teechart.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
<inner> | Tee.Chart.Axis-Labels(chart, axis)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| alternate=false=false When true, labels are displayed at alternate positions to fit more labels in the same space.
| dateFormat="shortDate"="shortDate" Configures string format for date & time labels
| decimals=2=2 Defines the number of decimals for floating-point numeric labels.
| format Defines the visual properties to paint the axis title.
| labelStyle="auto"="auto" Determines label contents from series data ("auto", "value", "mark", "text").
| rotation=0=0 Defines the label rotation angle from 0 to 360 degree.
| visible Determines if axis labels will be displayed or not.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| checkStyle()
| getLabel(value)
| width(value)

Class Detail
<inner> Tee.Chart.Axis-Labels(chart, axis)

Parameters:
{Tee.Chart} chart
  The chart object this axis labels object belongs to.
axis

Field Detail
{Boolean} alternate=false
When true, labels are displayed at alternate positions to fit more labels in the same space.

{String} dateFormat="shortDate"
Configures string format for date & time labels

{Number} decimals=2
Defines the number of decimals for floating-point numeric labels.

{Tee.Format} format
Defines the visual properties to paint the axis title.

{String} labelStyle="auto"
Determines label contents from series data ("auto", "value", "mark", "text").

{Number} rotation=0
Defines the label rotation angle from 0 to 360 degree.

{Boolean} visible
Determines if axis labels will be displayed or not.

Default Value:
  true

Method Detail
checkStyle()

{String} getLabel(value)

Parameters:
value

Returns:
  {String} Returns the series label that corresponds to a given value, (or the value if no label exists).

{Number} width(value)

Parameters:
value

Returns:
  {Number} Returns the width in pixels of value converted to string.

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Oct 23 2013 16:27:37 GMT+0200 (CEST)